| eRPC Generator (erpcgen) Rev. 1.8.1 NXP Semiconductors

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
erpcgen::CurrentFileInfo Class Reference

This class contains necessary information about analyzed file. More...

`#include <ErpcLexer.h>`

## Public Member Functions
| CurrentFileInfo (std::ifstream *savedFile, std::string fileName, std::string currentFolderPath)
| Constructor. More...
| ~CurrentFileInfo ()
| Destructor. More...

## Public Attributes
smart_ptr< std::ifstream > | m_savedFile
CurrentFileInfo * | m_previous
int | m_line
int | m_column
std::string | m_fileName
std::string | m_currentFolderPath

## Detailed Description

This class contains necessary information about analyzed file.

## Constructor & Destructor Documentation

erpcgen::CurrentFileInfo::CurrentFileInfo | ( | std::ifstream * | savedFile,
|  | std::string | fileName,
|  | std::string | currentFolderPath
| ) |  |
| inline

Constructor.

This function set default values to object variables. Pointer to file ifstream, file name and current folder path are given as function parameters.

Parameters

  [in] | savedFile | Pointer to analyzed file.
  [in] | fileName | Name of analyzed file.
  [in] | currentFolderPath | Path to folder of current file.

erpcgen::CurrentFileInfo::~CurrentFileInfo | ( |  | ) |
| inline

Destructor.

This function will close used file, when destructor is called.

## Member Data Documentation

int erpcgen::CurrentFileInfo::m_column

Column number on the line in current file.

std::string erpcgen::CurrentFileInfo::m_currentFolderPath

Path to folder of current file.

std::string erpcgen::CurrentFileInfo::m_fileName

File name for current file.

int erpcgen::CurrentFileInfo::m_line

Line number in current file.

CurrentFileInfo* erpcgen::CurrentFileInfo::m_previous

Pointer to previous saved file info.

smart_ptr<std::ifstream> erpcgen::CurrentFileInfo::m_savedFile

Pointer to current file

The documentation for this class was generated from the following file:

- ErpcLexer.h